import { LitElement } from 'lit';
export declare const ICON_ENVIRA = "icon-envira";
export declare class IconEnviraComponent extends LitElement {
    static readonly defaultTagName = "icon-envira";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
